Skip to main content
GET
/
staking
/
chains
/
{chainDescriptor}
/
chainInfo
TypeScript
const response: Promise<FireblocksResponse<ChainInfoResponse>> = fireblocks.staking.getChainInfo(stakingApiGetChainInfoRequest);
{
  "chainDescriptor": "SOL",
  "currentEpoch": 483,
  "epochElapsed": 0.31,
  "epochDuration": 172800000,
  "additionalInfo": {
    "estimatedAnnualReward": 6.48,
    "lockupPeriod": 172800000,
    "activationPeriod": 172800000
  },
  "lastUpdated": 1706602061938
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

chainDescriptor
enum<string>
required

Protocol identifier for the chain info staking operation (e.g., ETH/MATIC/SOL). Protocol identifier for the staking operation.

Available options:
ATOM_COS,
AXL,
AXL_TEST,
CELESTIA,
DYDX_DYDX,
ETH,
ETH_TEST6,
ETH_TEST_HOODI,
INJ_INJ,
MANTRA,
MATIC,
OSMO,
SOL,
SOL_TEST,
STETH_ETH,
STETH_ETH_TEST6_DZFA,
STETH_ETH_TEST_HOODI

Response

Chain-specific staking information returned successfully.

chainDescriptor
string
required

The protocol identifier (e.g. "ETH"/"SOL").

Example:

"SOL"

currentEpoch
number
required

The current epoch number of the blockchain network.

Example:

483

epochElapsed
number
required

The percentage of time that has elapsed within the current epoch, represented as a decimal value between 0 and 1.

Example:

0.31

epochDuration
number
required

The total duration in milliseconds of a single epoch.

Example:

172800000

additionalInfo
object
required

Additional information related to the blockchain. This may include extra details about the blockchain network.

lastUpdated
number
required

timestamp (in milliseconds) of last update time

Example:

1706602061938